package cn.com.qmth.examcloud.common.dto.em;

import java.io.Serializable;

import cn.com.qmth.examcloud.common.dto.em.enums.ExamType;
import cn.com.qmth.examcloud.common.dto.em.enums.MarkingType;
import cn.com.qmth.examcloud.common.dto.em.enums.PracticeType;

public class Exam implements Serializable {

	private static final long serialVersionUID = 4009839764353162256L;

	private long id;

	/**
	 * 顶级机构Id
	 */
	private Long rootOrgId;

	private String beginTime;

	private String endTime;

	private String name;

	private ExamType examType;

	private Boolean isEntranceExam;

	/**
	 * 考试时长
	 */
	private Integer duration;

	/**
	 * 冻结时间
	 */
	private Integer freezeTime;

	private String status;

	private String remark;

	private String createTime;

	/**
	 * 考试次数
	 */
	private Long examTimes;

	/**
	 * 断点续考时间(秒)
	 */
	private Long examReconnectTime;

	/**
	 * 考前说明
	 */
	private String beforeExamRemark;

	/**
	 * 考后说明
	 */
	private String afterExamRemark;

	/**
	 * 是否显示客观题分数
	 */
	private String isObjScoreView;

	/**
	 * 练习模式
	 */
	private PracticeType practiceType;

	/**
	 * 单选题补充说明
	 */
	private String singleAnswerRemark;

	/**
	 * 多选题补充说明
	 */
	private String mutipleAnswerRemark;

	/**
	 * 判断题补充说明
	 */
	private String boolAnswerRemark;

	/**
	 * 填空题补充说明
	 */
	private String fillBlankRemark;

	/**
	 * 问答题补充说明
	 */
	private String textAnswerRemark;

	/**
	 * 套题补充说明
	 */
	private String nestedAnswerRemark;

	/**
	 * 是否启用人脸识别
	 */
	private String isFaceEnable;

	/**
	 * 进入考试是否验证人脸识别(强制、非强制)
	 */
	private String isFaceCheck;

	/**
	 * 抓拍间隔
	 */
	private Double snapshotInterval;

	/**
	 * 预警阈值
	 */
	private Double warnThreshold;

	/**
	 * 阅卷方式
	 */
	private MarkingType markingType;

	private Boolean enable;

	/**
	 * 是否开启人脸活体检测
	 */
	private Boolean isFaceVerify;

	/**
	 * 活体检测开始分钟数
	 */
	private Integer faceVerifyStartMinute;

	/**
	 * 活体检测结束分钟数
	 */
	private Integer faceVerifyEndMinute;

	public long getId() {
		return id;
	}

	public void setId(long id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public static long getSerialVersionUID() {
		return serialVersionUID;
	}

	public ExamType getExamType() {
		return examType;
	}

	public void setExamType(ExamType examType) {
		this.examType = examType;
	}

	public Integer getDuration() {
		return duration;
	}

	public void setDuration(Integer duration) {
		this.duration = duration;
	}

	public Integer getFreezeTime() {
		return freezeTime;
	}

	public void setFreezeTime(Integer freezeTime) {
		this.freezeTime = freezeTime;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getBeginTime() {
		return beginTime;
	}

	public void setBeginTime(String beginTime) {
		this.beginTime = beginTime;
	}

	public String getEndTime() {
		return endTime;
	}

	public void setEndTime(String endTime) {
		this.endTime = endTime;
	}

	public String getCreateTime() {
		return createTime;
	}

	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}

	public static long getSerialversionuid() {
		return serialVersionUID;
	}

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public Long getExamTimes() {
		return examTimes;
	}

	public void setExamTimes(Long examTimes) {
		this.examTimes = examTimes;
	}

	public Long getExamReconnectTime() {
		return examReconnectTime;
	}

	public void setExamReconnectTime(Long examReconnectTime) {
		this.examReconnectTime = examReconnectTime;
	}

	public String getBeforeExamRemark() {
		return beforeExamRemark;
	}

	public void setBeforeExamRemark(String beforeExamRemark) {
		this.beforeExamRemark = beforeExamRemark;
	}

	public String getAfterExamRemark() {
		return afterExamRemark;
	}

	public void setAfterExamRemark(String afterExamRemark) {
		this.afterExamRemark = afterExamRemark;
	}

	public PracticeType getPracticeType() {
		return practiceType;
	}

	public void setPracticeType(PracticeType practiceType) {
		this.practiceType = practiceType;
	}

	public String getSingleAnswerRemark() {
		return singleAnswerRemark;
	}

	public void setSingleAnswerRemark(String singleAnswerRemark) {
		this.singleAnswerRemark = singleAnswerRemark;
	}

	public String getMutipleAnswerRemark() {
		return mutipleAnswerRemark;
	}

	public void setMutipleAnswerRemark(String mutipleAnswerRemark) {
		this.mutipleAnswerRemark = mutipleAnswerRemark;
	}

	public String getBoolAnswerRemark() {
		return boolAnswerRemark;
	}

	public void setBoolAnswerRemark(String boolAnswerRemark) {
		this.boolAnswerRemark = boolAnswerRemark;
	}

	public String getFillBlankRemark() {
		return fillBlankRemark;
	}

	public void setFillBlankRemark(String fillBlankRemark) {
		this.fillBlankRemark = fillBlankRemark;
	}

	public String getTextAnswerRemark() {
		return textAnswerRemark;
	}

	public void setTextAnswerRemark(String textAnswerRemark) {
		this.textAnswerRemark = textAnswerRemark;
	}

	public String getNestedAnswerRemark() {
		return nestedAnswerRemark;
	}

	public void setNestedAnswerRemark(String nestedAnswerRemark) {
		this.nestedAnswerRemark = nestedAnswerRemark;
	}

	public String getIsFaceEnable() {
		return isFaceEnable;
	}

	public void setIsFaceEnable(String isFaceEnable) {
		this.isFaceEnable = isFaceEnable;
	}

	public String getIsFaceCheck() {
		return isFaceCheck;
	}

	public void setIsFaceCheck(String isFaceCheck) {
		this.isFaceCheck = isFaceCheck;
	}

	public Double getSnapshotInterval() {
		return snapshotInterval;
	}

	public void setSnapshotInterval(Double snapshotInterval) {
		this.snapshotInterval = snapshotInterval;
	}

	public Double getWarnThreshold() {
		return warnThreshold;
	}

	public void setWarnThreshold(Double warnThreshold) {
		this.warnThreshold = warnThreshold;
	}

	public MarkingType getMarkingType() {
		return markingType;
	}

	public void setMarkingType(MarkingType markingType) {
		this.markingType = markingType;
	}

	public String getIsObjScoreView() {
		return isObjScoreView;
	}

	public void setIsObjScoreView(String isObjScoreView) {
		this.isObjScoreView = isObjScoreView;
	}

	public Boolean getEnable() {
		return enable;
	}

	public void setEnable(Boolean enable) {
		this.enable = enable;
	}

	public Boolean getEntranceExam() {
		return isEntranceExam;
	}

	public void setEntranceExam(Boolean entranceExam) {
		isEntranceExam = entranceExam;
	}

	public Boolean getIsEntranceExam() {
		return isEntranceExam;
	}

	public void setIsEntranceExam(Boolean isEntranceExam) {
		this.isEntranceExam = isEntranceExam;
	}

	public Boolean getIsFaceVerify() {
		return isFaceVerify;
	}

	public void setIsFaceVerify(Boolean isFaceVerify) {
		this.isFaceVerify = isFaceVerify;
	}

	public Integer getFaceVerifyStartMinute() {
		return faceVerifyStartMinute;
	}

	public void setFaceVerifyStartMinute(Integer faceVerifyStartMinute) {
		this.faceVerifyStartMinute = faceVerifyStartMinute;
	}

	public Integer getFaceVerifyEndMinute() {
		return faceVerifyEndMinute;
	}

	public void setFaceVerifyEndMinute(Integer faceVerifyEndMinute) {
		this.faceVerifyEndMinute = faceVerifyEndMinute;
	}

	public Exam() {
	}
}
